﻿using LoadFromArray.Models;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Telerik.Web.Spreadsheet;

namespace LoadFromArray.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var model = new DatasheetViewModel();
            model.Id = 2;

            return View(model);
        }

        public ActionResult Get(int datasheetid)
        {
            byte[] bytes;
            using (FileStream file = new FileStream(Server.MapPath("~/App_Data/test.xlsx"), FileMode.Open, FileAccess.Read))
            {
                bytes = new byte[file.Length];
                file.Read(bytes, 0, (int)file.Length);
            }

            MemoryStream stream = new MemoryStream(bytes);

            var workbook = Workbook.Load(stream, ".xlsx");

            return Content(workbook.ToJson(), MimeTypes.JSON);
        }
    }
}
